import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core/ES5/type";
import { DependencyProperty } from "igniteui-react-core/ES5/DependencyProperty";
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    constructor();
    protected get_p0(): IndicatorCalculationStrategy;
    protected readonly p0: IndicatorCalculationStrategy;
    protected get_qd(): Type;
    protected readonly qd: Type;
    shortPeriod: number;
    static readonly qo: DependencyProperty;
    protected p8(): number;
    longPeriod: number;
    static readonly qn: DependencyProperty;
    protected p5(): number;
    signalPeriod: number;
    static readonly qp: DependencyProperty;
    protected pg(): number;
    static $t: Type;
}
